Connect a source (credentials write-only)
curl --request POST \
--url https://api.semicola.com/api/v2/storefront/inventory-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sourceId": "<string>",
"endpointUrl": "<string>",
"credentials": {
"apiKey": "<string>",
"bearerToken": "<string>",
"username": "<string>",
"password": "<string>",
"oauthClientId": "<string>",
"oauthClientSecret": "<string>"
},
"runDiscoveryTest": true,
"confirm": true,
"confirmationUid": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/storefront/inventory-sources"
payload = {
"name": "<string>",
"sourceId": "<string>",
"endpointUrl": "<string>",
"credentials": {
"apiKey": "<string>",
"bearerToken": "<string>",
"username": "<string>",
"password": "<string>",
"oauthClientId": "<string>",
"oauthClientSecret": "<string>"
},
"runDiscoveryTest": True,
"confirm": True,
"confirmationUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sourceId: '<string>',
endpointUrl: '<string>',
credentials: {
apiKey: '<string>',
bearerToken: '<string>',
username: '<string>',
password: '<string>',
oauthClientId: '<string>',
oauthClientSecret: '<string>'
},
runDiscoveryTest: true,
confirm: true,
confirmationUid: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/storefront/inventory-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sourceId": "<string>",
"name": "<string>",
"executionType": "AGENT",
"status": "PENDING",
"protocol": "MCP",
"endpointUrl": "<string>",
"authenticationType": "API_KEY",
"hasCredentials": true,
"productMode": "WHOLESALE",
"health": "healthy",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Inventory Sources
Connect a source (credentials write-only)
POST
/
api
/
v2
/
storefront
/
inventory-sources
Connect a source (credentials write-only)
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Required string length:
1 - 200Available options:
AGENT, MANAGED_SALES_AGENT, LINKED_STOREFRONT, MODULAR_SOURCE Available options:
MCP, A2A Available options:
API_KEY, NO_AUTH, JWT, OAUTH, BASIC_AUTH Available options:
WHOLESALE, COMPOSING, BOTH Show child attributes
Show child attributes
Minimum string length:
5